PreMatch

Snapshot API endpoints for PreMatch events.

Use these endpoints to retrieve a current snapshot of PreMatch events, markets, fixtures, and scores.

For general usage guidelines, request limitations, and time filtering behaviour, see the Snapshot API overview.


GetEvents

Retrieve a full snapshot of all PreMatch events, including fixtures, markets, and scores.

post
Body
userNamestring · min: 1Required
passwordstring · min: 1Required
packageIdinteger · int32 · min: 1 · max: 2147483647Required
sportsinteger · int32[] · nullableOptional
locationsinteger · int32[] · nullableOptional
leaguesinteger · int32[] · nullableOptional
tournamentsinteger · int32[] · nullableOptional
fixturesinteger · int32[] · nullableOptional
marketsinteger · int32[] · nullableOptional
fromDateinteger · int64 · nullableOptional
toDateinteger · int64 · nullableOptional
timestampinteger · int64 · nullableOptional
Responses
chevron-right
200

Success

No content

post
/PreMatch/GetEvents
200

Success

No content

chevron-rightExample of 'Prematch/GetEvents'hashtag

GetFixtures

Retrieve a snapshot of PreMatch fixture data only (without markets or scores).

post
Body
userNamestring · min: 1Required
passwordstring · min: 1Required
packageIdinteger · int32 · min: 1 · max: 2147483647Required
sportsinteger · int32[] · nullableOptional
locationsinteger · int32[] · nullableOptional
leaguesinteger · int32[] · nullableOptional
tournamentsinteger · int32[] · nullableOptional
fixturesinteger · int32[] · nullableOptional
marketsinteger · int32[] · nullableOptional
fromDateinteger · int64 · nullableOptional
toDateinteger · int64 · nullableOptional
timestampinteger · int64 · nullableOptional
Responses
chevron-right
200

Success

No content

post
/PreMatch/GetFixtures
200

Success

No content

chevron-rightExample of 'Prematch/GetFixtures' (JSON)hashtag

GetFixtureMarkets

Retrieve a snapshot of markets for PreMatch fixtures.

post
Body
userNamestring · min: 1Required
passwordstring · min: 1Required
packageIdinteger · int32 · min: 1 · max: 2147483647Required
sportsinteger · int32[] · nullableOptional
locationsinteger · int32[] · nullableOptional
leaguesinteger · int32[] · nullableOptional
tournamentsinteger · int32[] · nullableOptional
fixturesinteger · int32[] · nullableOptional
marketsinteger · int32[] · nullableOptional
fromDateinteger · int64 · nullableOptional
toDateinteger · int64 · nullableOptional
timestampinteger · int64 · nullableOptional
Responses
chevron-right
200

Success

No content

post
/PreMatch/GetFixtureMarkets
200

Success

No content

chevron-rightExample of 'Prematch/GetFixturesMarket' (JSON)hashtag

GetScores

Retrieve a snapshot of scores for PreMatch fixtures.

post
Body
userNamestring · min: 1Required
passwordstring · min: 1Required
packageIdinteger · int32 · min: 1 · max: 2147483647Required
sportsinteger · int32[] · nullableOptional
locationsinteger · int32[] · nullableOptional
leaguesinteger · int32[] · nullableOptional
tournamentsinteger · int32[] · nullableOptional
fixturesinteger · int32[] · nullableOptional
marketsinteger · int32[] · nullableOptional
fromDateinteger · int64 · nullableOptional
toDateinteger · int64 · nullableOptional
timestampinteger · int64 · nullableOptional
Responses
chevron-right
200

Success

No content

post
/PreMatch/GetScores
200

Success

No content

chevron-rightExample of '/PreMatch/GetScores'hashtag

Last updated

Was this helpful?